<?php
/**
 * Weather Mini Option
 *
 * @author Jegstudio
 * @since 1.0.0
 * @package JEG_WEATHER\Elements\Option
 */

namespace JEG_WEATHER\Elements\Options;

/** Exit if accessed directly */
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Class Weather_Mini_Option
 *
 * @package JEG_WEATHER\Elements\Options
 */
class Weather_Mini_Option extends Weather_Option_Abstract {

	/**
	 * @return string
	 */
	public function get_element_name() {
		return esc_html__( 'JEG Weather - Mini', 'jeg-weather' );
	}

	public function set_options() {
		$this->options['style']     = [
			'type'        => 'select',
			'title'       => esc_html__( 'Weather style', 'jeg-weather' ),
			'description' => esc_html__( 'Weather style option.', 'jeg-weather' ),
			'segment'     => 'general',
			'default'     => 'thin',
			'options'     => [
				'thin' => esc_html__( 'Thin', 'jeg-weather' ),
				'thick' => esc_html__( 'Thick', 'jeg-weather' ),
			],
		];

		$this->set_element_options();
		$this->set_location_options();
		$this->set_style_option();
	}

}
