<?php

$options = [];

$options[] = [
	'id'      => 'jeg_weather_option[global_weather_setting]',
	'type'    => 'jeg-header',
	'section' => 'jeg_weather_global_weather_setting',
	'label'   => esc_html__( 'Weather Setting', 'jeg-weather' ),
];

$options[] = [
	'id'          => 'jeg_weather_option[weather_forecast_info]',
	'type'        => 'jeg-alert',
	'default'     => 'info',
	'section'     => 'jeg_weather_global_weather_setting',
	'label'       => esc_html__( 'Weather Forecast Info', 'jeg-weather' ),
	'description' => wp_kses(
		__(
			'You will need to refersh the page to see the result of your changes.</br></br> If you want to purge the current cache, you just need to choose <strong>Disable Cache</strong> on the <strong>Weather Cache Expired</strong> option. Then you can setup the <strong>Weather Cache Expired</strong> option again right after you refresh the page.',
			'jeg-weather'
		),
		wp_kses_allowed_html()
	),
];

$options[] = [
	'id'          => 'jeg_weather_option[weather_forecast_source]',
	'option_type' => 'option',
	'transport'   => 'postMessage',
	'default'     => 'yahoo',
	'type'        => 'jeg-select',
	'section'     => 'jeg_weather_global_weather_setting',
	'label'       => esc_html__( 'Weather Forecast Source', 'jeg-weather' ),
	'description' => esc_html__( 'Choose weather forecast source.', 'jeg-weather' ),
	'choices'     => [
		'yahoo'          => esc_html__( 'Yahoo Weather', 'jeg-weather' ),
		'darksky'        => esc_html__( 'Dark Sky', 'jeg-weather' ),
		'openweathermap' => esc_html__( 'Open Weather Map', 'jeg-weather' ),
		'aerisweather'   => esc_html__( 'Aeris Weather', 'jeg-weather' ),
	],
];

$options[] = [
	'id'              => 'jeg_weather_option[weather_yahoo_app_id]',
	'option_type'     => 'option',
	'transport'       => 'postMessage',
	'type'            => 'jeg-text',
	'default'         => '',
	'section'         => 'jeg_weather_global_weather_setting',
	'label'           => esc_html__( 'Yahoo App ID', 'jeg-weather' ),
	'description'     => wp_kses(
		sprintf(
			__(
				"Insert your Yahoo App ID. Find your Yahoo App ID <a href='%s' target='_blank'>here</a>.",
				'jeg-weather'
			),
			'https://developer.yahoo.com/apps/'
		),
		wp_kses_allowed_html()
	),
	'active_callback' => [
		[
			'setting'  => 'jeg_weather_option[weather_forecast_source]',
			'operator' => '==',
			'value'    => 'yahoo',
		],
	],
];

$options[] = [
	'id'              => 'jeg_weather_option[weather_yahoo_consumer_key]',
	'option_type'     => 'option',
	'transport'       => 'postMessage',
	'type'            => 'jeg-text',
	'default'         => '',
	'section'         => 'jeg_weather_global_weather_setting',
	'label'           => esc_html__( 'Yahoo Consumer Key', 'jeg-weather' ),
	'description'     => wp_kses(
		sprintf(
			__(
				"Insert your Yahoo Consumer Key. Find your Yahoo Consumer Key <a href='%s' target='_blank'>here</a>.",
				'jeg-weather'
			),
			'https://developer.yahoo.com/apps/'
		),
		wp_kses_allowed_html()
	),
	'active_callback' => [
		[
			'setting'  => 'jeg_weather_option[weather_forecast_source]',
			'operator' => '==',
			'value'    => 'yahoo',
		],
	],
];

$options[] = [
	'id'              => 'jeg_weather_option[weather_yahoo_consumer_secret]',
	'option_type'     => 'option',
	'transport'       => 'postMessage',
	'type'            => 'jeg-text',
	'default'         => '',
	'section'         => 'jeg_weather_global_weather_setting',
	'label'           => esc_html__( 'Yahoo Consumer Secret', 'jeg-weather' ),
	'description'     => wp_kses(
		sprintf(
			__(
				"Insert your Yahoo Consumer Secret. Find your Yahoo Consumer Secret <a href='%s' target='_blank'>here</a>.",
				'jeg-weather'
			),
			'https://developer.yahoo.com/apps/'
		),
		wp_kses_allowed_html()
	),
	'active_callback' => [
		[
			'setting'  => 'jeg_weather_option[weather_forecast_source]',
			'operator' => '==',
			'value'    => 'yahoo',
		],
	],
];

$options[] = [
	'id'              => 'jeg_weather_option[weather_darksky_api_key]',
	'option_type'     => 'option',
	'transport'       => 'postMessage',
	'type'            => 'jeg-text',
	'default'         => '',
	'section'         => 'jeg_weather_global_weather_setting',
	'label'           => esc_html__( 'Dark Sky Secret Key', 'jeg-weather' ),
	'description'     => wp_kses(
		sprintf(
			__(
				"Insert your Dark Sky Secret Key. Find your Dark Sky Secret Key <a href='%s' target='_blank'>here</a>.",
				'jeg-weather'
			),
			'https://darksky.net/dev/account'
		),
		wp_kses_allowed_html()
	),
	'active_callback' => [
		[
			'setting'  => 'jeg_weather_option[weather_forecast_source]',
			'operator' => '==',
			'value'    => 'darksky',
		],
	],
];

$options[] = [
	'id'              => 'jeg_weather_option[weather_openweathermap_api_key]',
	'option_type'     => 'option',
	'transport'       => 'postMessage',
	'type'            => 'jeg-text',
	'default'         => '',
	'section'         => 'jeg_weather_global_weather_setting',
	'label'           => esc_html__( 'Open Weather Map API Key', 'jeg-weather' ),
	'description'     => wp_kses(
		sprintf(
			__(
				"Insert your Open Weather Map API Key. Find your Open Weather Map API Key <a href='%s' target='_blank'>here</a>.",
				'jeg-weather'
			),
			'https://home.openweathermap.org/api_keys'
		),
		wp_kses_allowed_html()
	),
	'active_callback' => [
		[
			'setting'  => 'jeg_weather_option[weather_forecast_source]',
			'operator' => '==',
			'value'    => 'openweathermap',
		],
	],
];

$options[] = [
	'id'              => 'jeg_weather_option[weather_aerisweather_id]',
	'option_type'     => 'option',
	'transport'       => 'postMessage',
	'type'            => 'jeg-text',
	'default'         => '',
	'section'         => 'jeg_weather_global_weather_setting',
	'label'           => esc_html__( 'Aeris Weather Client ID', 'jeg-weather' ),
	'description'     => wp_kses(
		sprintf(
			__(
				"Insert your Aeris Weather Client ID. Find your Aeris Weather Client ID <a href='%s' target='_blank'>here</a>.",
				'jeg-weather'
			),
			'http://www.aerisweather.com/account/apps'
		),
		wp_kses_allowed_html()
	),
	'active_callback' => [
		[
			'setting'  => 'jeg_weather_option[weather_forecast_source]',
			'operator' => '==',
			'value'    => 'aerisweather',
		],
	],
];

$options[] = [
	'id'              => 'jeg_weather_option[weather_aerisweather_secret]',
	'option_type'     => 'option',
	'transport'       => 'postMessage',
	'type'            => 'jeg-text',
	'default'         => '',
	'section'         => 'jeg_weather_global_weather_setting',
	'label'           => esc_html__( 'Aeris Weather Client Secret', 'jeg-weather' ),
	'description'     => wp_kses(
		sprintf(
			__(
				"Insert your Aeris Weather Client Secret. Find your Aeris Weather Client Secret <a href='%s' target='_blank'>here</a>.",
				'jeg-weather'
			),
			'http://www.aerisweather.com/account/apps'
		),
		wp_kses_allowed_html()
	),
	'active_callback' => [
		[
			'setting'  => 'jeg_weather_option[weather_forecast_source]',
			'operator' => '==',
			'value'    => 'aerisweather',
		],
	],
];

$options[] = array(
	'id'              => 'jeg_weather_option[weather_openweathermap_current_weather]',
	'option_type'     => 'option',
	'transport'       => 'postMessage',
	'type'            => 'jeg-toggle',
	'default'         => false,
	'section'         => 'jeg_weather_global_weather_setting',
	'label'           => esc_html__( 'Show Current Weather Data', 'jeg-weather' ),
	'description'     => esc_html__( 'By default, the data displayed is Daily Weather Forecast data. If the weather forecast data is not the same or much different from the current weather data, you can enable this option.', 'jeg-weather' ),
	'active_callback' => array(
		array(
			'setting'  => 'jeg_weather_option[weather_forecast_source]',
			'operator' => '==',
			'value'    => 'openweathermap',
		),
	),
);

$options[] = array(
	'id'              => 'jeg_weather_option[weather_aerisweather_current_weather]',
	'option_type'     => 'option',
	'transport'       => 'postMessage',
	'type'            => 'jeg-toggle',
	'default'         => false,
	'section'         => 'jeg_weather_global_weather_setting',
	'label'           => esc_html__( 'Show Current Weather Data', 'jeg-weather' ),
	'description'     => esc_html__( 'By default, the data displayed is Daily Weather Forecast data. If the weather forecast data is not the same or much different from the current weather data, you can enable this option.', 'jeg-weather' ),
	'active_callback' => array(
		array(
			'setting'  => 'jeg_weather_option[weather_forecast_source]',
			'operator' => '==',
			'value'    => 'aerisweather',
		),
	),
);

$options[] = [
	'id'          => 'jeg_weather_option[weather_default_temperature]',
	'option_type' => 'option',
	'transport'   => 'postMessage',
	'default'     => 'c',
	'type'        => 'jeg-select',
	'section'     => 'jeg_weather_global_weather_setting',
	'label'       => esc_html__( 'Default Temperature Unit', 'jeg-weather' ),
	'description' => esc_html__( 'Choose default temperature unit.', 'jeg-weather' ),
	'choices'     => [
		'c' => esc_html__( 'Celsius', 'jeg-weather' ),
		'f' => esc_html__( 'Fahrenheit', 'jeg-weather' ),
	],
];

$options[] = [
	'id'          => 'jeg_weather_option[weather_cache_expired]',
	'option_type' => 'option',
	'transport'   => 'postMessage',
	'default'     => '1',
	'type'        => 'jeg-select',
	'section'     => 'jeg_weather_global_weather_setting',
	'label'       => esc_html__( 'Weather Cache Expired', 'jeg-weather' ),
	'description' => esc_html__( 'Choose the expired time of weather forecast data cache.', 'jeg-weather' ),
	'choices'     => [
		'1'  => esc_html__( '1 Hour', 'jeg-weather' ),
		'2'  => esc_html__( '2 Hour', 'jeg-weather' ),
		'3'  => esc_html__( '3 Hour', 'jeg-weather' ),
		'no' => esc_html__( 'Disable Cache', 'jeg-weather' ),
	],
];

$options[] = [
	'id'      => 'jeg_weather_option[global_weather_option]',
	'type'    => 'jeg-header',
	'section' => 'jeg_weather_global_weather_option',
	'label'   => esc_html__( 'Weather Option', 'jeg-weather' ),
];

$options[] = [
	'id'          => 'jeg_weather_option[global_weather_location]',
	'option_type' => 'option',
	'transport'   => 'postMessage',
	'default'     => '',
	'type'        => 'jeg-text',
	'section'     => 'jeg_weather_global_weather_option',
	'label'       => esc_html__( 'Global Weather Location', 'jeg-weather' ),
	'description' => wp_kses(
		sprintf(
			__(
				"You can insert <strong>\"city name\"</strong> or <strong>\"city name, country code\"</strong>. For more detail information, you can read our documentation <a href='%s' target='_blank'>here</a>",
				'jeg-weather'
			),
			'#'
		),
		wp_kses_allowed_html()
	),
];

$options[] = [
	'id'          => 'jeg_weather_option[weather_location_auto]',
	'option_type' => 'option',
	'transport'   => 'postMessage',
	'default'     => '',
	'type'        => 'jeg-toggle',
	'section'     => 'jeg_weather_global_weather_option',
	'label'       => esc_html__( 'Weather Auto Detect Location', 'jeg-weather' ),
	'description' => wp_kses(
		sprintf(
			__(
				"With this option, your website will use <a href='%1\$s' target='_blank'>ipinfo.io</a> and <a href='%2\$s' target='_blank'>ipdata.co</a> to get client IP and detect the location. You can use this option wihtout using their API key with very <strong>limited</strong> request",
				'jeg-weather'
			),
			'https://ipinfo.io/',
			'https://ipdata.co/'
		),
		wp_kses_allowed_html()
	),
];

$options[] = [
	'id'              => 'jeg_weather_option[weather_ipinfo_api]',
	'option_type'     => 'option',
	'transport'       => 'postMessage',
	'default'         => '',
	'type'            => 'jeg-text',
	'section'         => 'jeg_weather_global_weather_option',
	'label'           => esc_html__( 'ipinfo.io API token', 'jeg-weather' ),
	'description'     => wp_kses(
		sprintf(
			__(
				"Keyless access to ipinfo.io Platform is very limited. Please use an API token with all your API calls to avoid service interruption. For further details please refer to <a href='%s' target='_blank'>this page</a>",
				'jeg-weather'
			),
			'https://ipinfo.io/'
		),
		wp_kses_allowed_html()
	),
	'active_callback' => [
		[
			'setting'  => 'jeg_weather_option[weather_location_auto]',
			'operator' => '==',
			'value'    => true,
		],
	],
];

$options[] = [
	'id'              => 'jeg_weather_option[weather_ipdata_api]',
	'option_type'     => 'option',
	'transport'       => 'postMessage',
	'default'         => '',
	'type'            => 'jeg-text',
	'section'         => 'jeg_weather_global_weather_option',
	'label'           => esc_html__( 'ipdata.co API Key', 'jeg-weather' ),
	'description'     => wp_kses(
		sprintf(
			__(
				"Keyless access to ipinfo.io Platform is very limited. Please use an API key with all your API calls to avoid service interruption. For further details please refer to <a href='%s' target='_blank'>this page</a>",
				'jeg-weather'
			),
			'https://ipdata.co/'
		),
		wp_kses_allowed_html()
	),
	'active_callback' => [
		[
			'setting'  => 'jeg_weather_option[weather_location_auto]',
			'operator' => '==',
			'value'    => true,
		],
	],
];

$options[] = [
	'id'              => 'jeg_weather_option[weather_location_api]',
	'option_type'     => 'option',
	'transport'       => 'postMessage',
	'default'         => '',
	'type'            => 'jeg-text',
	'section'         => 'jeg_weather_global_weather_option',
	'label'           => esc_html__( 'Google Map API Key', 'jeg-weather' ),
	'description'     => wp_kses(
		sprintf(
			__(
				"Keyless access to Google Maps Platform is deprecated. Please use an API key with all your API calls to avoid service interruption. For further details please refer to <a href='%s' target='_blank'>this page</a>",
				'jeg-weather'
			),
			'https://developers.google.com/maps/documentation/geocoding/start'
		),
		wp_kses_allowed_html()
	),
	'active_callback' => [
		[
			'setting'  => 'jeg_weather_option[weather_forecast_source]',
			'operator' => 'in',
			'value'    => [
                'darksky',
                'openweathermap'
            ],
		],
	],
];


return $options;
